#include <string.h>
#include "Alarm.h"
#include "DS1307.h"


const char  Alarm_1    = 8;
const char  Alarm_2    = 12;
const char  Alarm_3    = 16;
const char  Alarm_4    = 20;
const char  Alarm_5    = 24;
const char  Alarm_6    = 28;
const char  Alarm_7    = 32;
const char  Alarm_8    = 36;
const char  Alarm_9    = 40;
const char  Alarm_10   = 44;

void Alarm_Save(Alarm A,char ID)
{
  RTC_DS1307_WR_DATA(ID,A.Enable_Disable);
  RTC_DS1307_WR_DATA(ID+1,A.Hour);
  RTC_DS1307_WR_DATA(ID+2,A.Minute);
  RTC_DS1307_WR_DATA(ID+3,A.Second);
}

void Alarm_Read(Alarm *A,char ID)
{
  A->Enable_Disable = RTC_DS1307_RD_DATA(ID); 
  A->Hour           = RTC_DS1307_RD_DATA(ID+1);
  A->Minute         = RTC_DS1307_RD_DATA(ID+2);
  A->Second         = RTC_DS1307_RD_DATA(ID+3);
}