#define  DS1307_RD      0xD1
#define  DS1307_WR      0xD0

#define  DS1307_Second_ADD      0x00
#define  DS1307_Minute_ADD      0x01
#define  DS1307_Hour_ADD        0x02

#define  DS1307_Day_ADD         0x03
#define  DS1307_Date_ADD        0x04
#define  DS1307_Month_ADD       0x05
#define  DS1307_Year_ADD        0x06

#define  DS1307_Control_ADD     0x07

#define  LCD_Init()              lcd_init(16);
#define  LCD_WR_STR(x,y,str)     lcd_gotoxy(x,y);lcd_puts("                ");lcd_gotoxy(x,y);lcd_puts(str);
#define  LCD_WR_STRF(x,y,str)    lcd_gotoxy(x,y);lcd_putsf("                ");lcd_gotoxy(x,y);lcd_putsf(str);

void RTC_DS1307_Init(void);
void RTC_DS1307_WR_DATA(unsigned char ADD,unsigned char DATA);
unsigned char RTC_DS1307_RD_DATA(unsigned char ADD);
void RTC_DS1307_Set_Time(unsigned char Hour,unsigned char Minute,unsigned char Second);
void RTC_DS1307_Set_Date(unsigned char Year,unsigned char Month,unsigned char Date);
void RTC_DS1307_Set_DOW(unsigned char Day);
void RTC_DS1307_Get_Time(unsigned char *Hour,unsigned char *Minute,unsigned char *Second);
void RTC_DS1307_Get_Date(unsigned char *Year,unsigned char *Month,unsigned char *Date,unsigned char *Day);
void RTC_DS1307_Display_Time(void);
void RTC_DS1307_Display_Date(void);
void RTC_DS1307_Display_Day_Week(void);
void RTC_DS1307_Display_Date_Time(void);
unsigned char DEC_To_BCD(unsigned char DEC);
unsigned char BCD_To_DEC(unsigned char BCD);
