/*******************************************************
This program was created by the
CodeWizardAVR V3.12 Advanced
Automatic Program Generator
 Copyright 1998-2014 Pavel Haiduc, HP InfoTech s.r.l.
http://www.hpinfotech.com

Project : 
Version : 
Date    : 2/26/2015
Author  : 
Company : 
Comments: 


Chip type               : ATmega32
Program type            : Application
AVR Core Clock frequency: 8.000000 MHz
Memory model            : Small
External RAM size       : 0
Data Stack size         : 512
*******************************************************/

#include <mega32.h>
#include <stdio.h>
#include <stdlib.h>
#include <delay.h>
#include <alcd.h>
#include <string.h>
#include <eeprom.h>
#include "Menu.h"
#include "DS1307.h"
#include "Timer1.h"
#include "Keyboard.h"



void main(void)
{
  char Pressed_Key,Menu_ID=0,T=1;
  LCD_Init();   
  Keyboard_Init();
  Timer1_Init();    
  RTC_DS1307_Init();  
  
  #asm("sei")  
  
  while (1)
  {   
    Pressed_Key = Keyboard_Get_Key(); 
    if(Pressed_Key==Key_Menu && Menu_ID==0)
    {  
      #asm("cli")
      Menu_Set_Date(); 
      Menu_ID++;  
      LCD_WR_STR(0,1,"");
      #asm("sei")
      continue;
    }
    if(Pressed_Key==Key_Menu && Menu_ID==1)
    {
      #asm("cli")
      Menu_Set_Time();
      Menu_ID++;  
      LCD_WR_STR(0,1,"");
      #asm("sei")
      continue;
    }
    if(Pressed_Key==Key_Menu && Menu_ID==2)
    {   
      #asm("cli")
      Menu_Set_DOW();
      Menu_ID++;     
      LCD_WR_STR(0,1,"");
      #asm("sei")
      continue;
    }
    if(Pressed_Key==Key_Menu && Menu_ID==3)
    {  
      #asm("cli")
      Menu_Set_Alarm();
      Menu_ID++;  
      LCD_WR_STR(0,1,"");
      #asm("sei")
    }
    if(Menu_ID>3)
      Menu_ID=0;
  }
}
