#include <mega32.h>
#include <delay.h>
#include "Keyboard.h"

void Keyboard_Init(void)
{
  Keyboard_DDR = 0x00;
}

unsigned char Keyboard_Get_Key(void)
{
   switch(Keyboard_PIN&0x7F)
   {
     case 0x7E: 
       delay_ms(50);
       return Key_UP; 
     case 0x7D: 
       delay_ms(50);
       return Key_Down;
     case 0x7B: 
       delay_ms(50);
       return Key_Right;
     case 0x77: 
       delay_ms(50);
       return Key_Left;
     case 0x6F:   
       delay_ms(50);
       return Key_OK;
     case 0x5F:  
       delay_ms(50);
       return Key_Menu;    
     case 0x3F:  
       delay_ms(50);
       return Key_Return;  
     default :
       delay_ms(50);
       return 0;         
   }
}
